#!/usr/bin/perl

$tot = 0;
$cnt = 0;

print '\begin{tabular}{l|r|r}' . "\n";
print '\textbf{Version} & \textbf{Bytes} & \textbf{KiB} \\\\' . "\n";
print '\hline' . "\n";
print '\hline' . "\n";

while (<>) {
	chomp;
	($date, $version, $bytes, $crud) = split /:/;
	
	$tot += $bytes;
	$cnt++;
	
	print $version . ' & ' . $bytes . ' & ';
	printf ('%.2f' . " \\\\\n", ($bytes / 1024));
	print '\hline' . "\n";
}

$avg = $tot / $cnt;

print '\hline' . "\n";
print 'Average & ' . sprintf ("%.0f", $avg) . ' & ';
printf ('%.2f' . " \\\\\n", ($avg / 1024));
print '\end{tabular}' . "\n";
