#!/usr/bin/perl

use Date::Calc qw(Delta_Days);

@dom = (0, 31, 28, 31, 30, 31, 30,
           31, 31, 30, 31, 30, 31);

($y, $m, $d) = (2002, 6, 24);
$tot = 0;
$cnt = 0;

print '\begin{tabular}{l|r|r}' . "\n";
print '\textbf{Version} & \textbf{Days} & \textbf{Cumulative} \\\\' . "\n";
print '\hline' . "\n";
print '\hline' . "\n";

while (<>) {
	chomp;
	($date, $version, $crud) = split /:/;
	($ly, $lm, $ld) = ($y, $m, $d);
	($y, $m, $d) = split (/-/, $date);
	
	$Dd = Delta_Days ($ly, $lm, $ld, $y, $m, $d);
	$tot += $Dd;
	$cnt++;
	
	print $version . ' & ' . $Dd . ' & ' . $tot . " \\\\\n";
	print '\hline' . "\n";
}

$avg = $tot / $cnt;

print '\hline' . "\n";
print 'Average & ' . sprintf ("%.0f", $avg) . " & -- \\\\\n";
print '\end{tabular}' . "\n";
