#!/usr/bin/perl

$tot = 0;
$cnt = 0;

print '\begin{tabular}{l|r|r}' . "\n";
print '\textbf{Version} & \textbf{Kloc} \\\\' . "\n";
print '\hline' . "\n";
print '\hline' . "\n";

while (<>) {
	chomp;
	($date, $version, $bytes, $ubytes, $sloc, $crud) = split /:/;
	
	$tot += $sloc;
	$cnt++;
	
	print $version . ' & ';
	printf ('%.2f' . " \\\\\n", ($sloc / 1000));
	print '\hline' . "\n";
}

$avg = $tot / $cnt;

print '\hline' . "\n";
print 'Average & ';
printf ('%.2f' . " \\\\\n", ($avg / 1000));
print '\end{tabular}' . "\n";
